Skip to main content
POST
/
platform-api
/
v1
/
customers
/
social_activity
Get social activity
curl --request POST \
  --url https://app.sagepilot.ai/platform-api/v1/customers/social_activity \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "customerId": "<string>"
}
'
[
  {
    "id": "d4926456-6ce4-4d26-8d92-a871d914c459",
    "comment_content": "Hii",
    "created_at": "2025-10-17T14:19:37.669529Z",
    "post_caption": null,
    "post_type": "FEED",
    "channel_kind": "instagram"
  }
]
[
  {
    "id": "d4926456-6ce4-4d26-8d92-a871d914c459",
    "comment_content": "Hii",
    "created_at": "2025-10-17T14:19:37.669529Z",
    "post_caption": null,
    "post_type": "FEED",
    "channel_kind": "instagram"
  }
]
Get social activity for a customer.

Required access

AuthenticationScopeDataset grant
API client v2customers:readcustomers

Body

customerId
string
required
Customer UUID to fetch social activity for. Open a customer in the Customer module and use the last UUID in the URL: /dashboard/[workspace_id]/customers/[customer_id]. See Resource IDs.
workspaceId
string
Optional workspace UUID. The authenticated workspace is used by default. Find the current workspace ID in Settings > API Details > Channels. See Resource IDs.
includeLinkedContacts
boolean
default:"false"
Include social activity from linked contacts.

Query parameters

page
integer
default:"1"
Page number.
page_size
integer
default:"20"
Records per page. Maximum value is 200.

Response

[]
object[]
required
Social activity records for the customer.